Subject: [sip-clf] FW: New Version Notification for draft-niccolini-sipclf-ipfix-01

From: "Saverio Niccolini" <[email-masked]>
Date: Fri, 9 Apr 2010 20:18:33 +0200

Dear all,

we just submitted an update of the SIPCLF IPFIX draft:
http://www.ietf.org/id/draft-niccolini-sipclf-ipfix-01.txt

This draft contains an example (as requested by our AD) visualized
in Section 5.1 (the example was taken from Section 3.1 of RFC3665).

For doing this Brian wrote a simple conversion tool that parses the 
correctness of the templates and records according to the definition 
of the information elements (in Figure 1: Information Model) and 
generates the binary IPFIX file format.

The Information Elements, templates and records are just examples,
do not be picky, the draft wants just to show how an IPFIX file 
would look for SIPCLF...

We appreciate any comment you might have on how to advance this
draft.

Cheers,
Saverio

============================================================
Dr. Saverio Niccolini
Manager, Real-Time Communications Group
NEC Laboratories Europe, Network Research Division     
Kurfuerstenanlage 36, D-69115 Heidelberg
Tel.     +49 (0)6221 4342-118
Fax:     +49 (0)6221 4342-155
e-mail:  [email-masked]
============================================================
NEC Europe Limited Registered Office: NEC House, 1 Victoria
Road, London W3 6BL Registered in England 2832014

> -----Original Message-----
> From: IETF I-D Submission Tool [mailto:[email-masked]]
> Sent: 09 April 2010 20:08
> To: Saverio Niccolini
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: New Version Notification for draft-niccolini-sipclf-ipfix-01
> 
> 
> A new version of I-D, draft-niccolini-sipclf-ipfix-01.txt has been
> successfully submitted by Saverio Niccolini and posted to the IETF
> repository.
> 
> Filename:	 draft-niccolini-sipclf-ipfix
> Revision:	 01
> Title:		 Advantages of using an IPFIX File Format for SIPCLF
> Creation_date:	 2010-04-09
> WG ID:		 Independent Submission
> Number_of_pages: 16
> 
> Abstract:
> The SIPCLF WG is currently trying to identify file format(s) suitable
> for its scope as defined in the current charter.  The group has so
> far received proposals for a text format and an indexed-text format
> that are going to be soon combined.  Several people believe that
> IPFIX could be a valid alternative to these two proposals for several
> reasons detailed in this document.
> 
> This document discusses the main advantages related to the usage of
> IPFIX file format for SIPCLF.  Additionally it gives preliminary
> indications on the basic set of information elements that would need
> to be defined by the SIPCLF WG.
> 
> 
> 
> The IETF Secretariat.
>